=== debian/changelog ===
transmission (4.0.5-1build5mint1+wilma) wilma; urgency=medium

  * Use GTK3 and re-enable the tray icon.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Jun 2024 13:37:21 +0100
