## transmission 4.0.5-1build5trisquel0

=== debian/changelog ===
transmission (4.0.5-1build5trisquel0) ecne; urgency=medium

  * Patched to prevenr daemon issues due to DEP17 migration

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 25 May 2025 23:07:05 +0000
