=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: transmission
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Leo Antunes <costela@debian.org>
 Build-Depends: cmake,
@@ -9,8 +9,8 @@
                libayatana-appindicator3-dev,
                libcurl4-openssl-dev | libcurl4-dev | libcurl-dev,
                libevent-dev,
-               libgtkmm-3.0-dev,
-               libglibmm-2.4-dev,
+               libgtkmm-4.0-dev,
+               libglibmm-2.68-dev,
                libwolfssl-dev,
                libminiupnpc-dev,
                libnatpmp-dev,
