=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: transmission
 Section: net
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Leo Antunes <costela@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Leo Antunes <costela@debian.org>
+Uploaders: Alexandre Rossi <niol@zincube.net>,
+           Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libayatana-appindicator3-dev,
@@ -16,14 +17,22 @@
                libnatpmp-dev,
                libnotify-dev,
                libssl-dev,
+               libfast-float-dev,
+               libfmt-dev,
+               googletest,
+               libdeflate-dev,
+               libpsl-dev,
+               libutfcpp-dev,
                libsystemd-dev [linux-any],
-               npm,
-               qtbase5-dev,
-               qttools5-dev-tools,
-               qttools5-dev,
-               libqt5svg5-dev,
-               zlib1g-dev
-Standards-Version: 4.6.2
+               qt6-base-dev,
+               qt6-tools-dev,
+               qt6-tools-dev-tools,
+               libqt6svg6-dev,
+               zlib1g-dev,
+               esbuild,
+               node-lodash-packages,
+               rsass,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/transmission
 Vcs-Git: https://salsa.debian.org/debian/transmission.git
@@ -68,8 +77,8 @@
  and daemon form). All its incarnations feature a very simple, intuitive
  interface on top on an efficient, cross-platform back-end.
  .
- This package contains transmission-remote to interface with transmission-daemon,
- tools to create/edit/inspect torrent files
+ This package contains transmission-remote to interface with
+ transmission-daemon, tools to create/edit/inspect torrent files
  and a deprecated stand-alone command-line client.
 
 Package: transmission-gtk
@@ -107,23 +116,28 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: transmission-cli
-Suggests: transmission-remote-gtk
+Suggests: transmission-remote-gtk | transgui | tremotesf
 Description: lightweight BitTorrent client (daemon)
  Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
  and daemon form). All its incarnations feature a very simple, intuitive
  interface on top on an efficient, cross-platform back-end.
  .
- This package contains the transmission-daemon. For the associated
- transmission-remote, see the package transmission-cli.
+ This package contains the transmission-daemon.
+ .
+ For the associated transmission-remote, see the package
+ transmission-cli, or any of the GUI interfaces,
+ transmission-remote-gtk, transgui, or tremotesf, all of which can be
+ used to control and monitor the daemon either locally or remotely.
 
-#Package: libtransmission-dev
-#Section: libdevel
-#Architecture: any
-#Pre-Depends: ${misc:Pre-Depends}
-#Depends: ${misc:Depends}
-#Description: lightweight BitTorrent client (development library)
-# Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
-# and daemon form). All its incarnations feature a very simple, intuitive
-# interface on top on an efficient, cross-platform back-end.
-# .
-# This package contains the static library and associated #include file.
+Package: libtransmission-dev
+Section: libdevel
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}
+Description: lightweight BitTorrent client (development library)
+ Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
+ and daemon form). All its incarnations feature a very simple,
+ intuitive interface on top on an efficient, cross-platform back-end.
+ .
+ This package contains the static library and associated #include
+ file.
